msrunxicextractorinterface.h File Reference
`#include "../msrun/msrunreader.h"`
`#include <memory>`
`#include <vector>`
`#include <limits>`
`#include <iterator>`
`#include "../mzrange.h"`
`#include "../xic/xic.h"`
`#include "../processing/uimonitor/uimonitorinterface.h"`

Go to the source code of this file.

## Classes

class | pappso::MsRunXicExtractorInterface

## Namespaces

| pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Typedefs

typedef std::shared_ptr< MsRunXicExtractorInterface > | pappso::MsRunXicExtractorInterfaceSp